# multimap.h File Reference

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file multimap.h.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::__debug

## Classes

- class std::__debug::multimap< _Key, _Tp, _Compare, _Allocator >

## Defines

- #define _GLIBCXX_DEBUG_MULTIMAP_H

## Functions

- template<typename _Key, typename _Tp, typename _Compare, typename _Allocator> bool std::__debug::operator!= (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
- template<typename _Key, typename _Tp, typename _Compare, typename _Allocator> bool std::__debug::operator< (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
- template<typename _Key, typename _Tp, typename _Compare, typename _Allocator> bool std::__debug::operator<= (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
- template<typename _Key, typename _Tp, typename _Compare, typename _Allocator> bool std::__debug::operator== (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
- template<typename _Key, typename _Tp, typename _Compare, typename _Allocator> bool std::__debug::operator> (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
- template<typename _Key, typename _Tp, typename _Compare, typename _Allocator> bool std::__debug::operator>= (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
- template<typename _Key, typename _Tp, typename _Compare, typename _Allocator> void std::__debug::swap (multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)